<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class UserStatusMuteAction extends \Google\Protobuf\Internal\Message
{
    


    protected $muted = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMuted()
    {
        return isset($this->muted) ? $this->muted : false;
    }

    public function hasMuted()
    {
        return isset($this->muted);
    }

    public function clearMuted()
    {
        unset($this->muted);
    }

    




    public function setMuted($var)
    {
        GPBUtil::checkBool($var);
        $this->muted = $var;

        return $this;
    }

}

